org.eclipse.ease.lang.unittest.runtime.impl

## Class TestContainer

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.ease.lang.unittest.runtime.impl.TestEntity
          - - org.eclipse.ease.lang.unittest.runtime.impl.TestContainer

All Implemented Interfaces:
  ITestContainer, ITestEntity, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  TestClass, TestFile, TestFolder, TestSuite

    public abstract class TestContainer
    extends TestEntity
    implements ITestContainer

An implementation of the model object 'Test Container'.

The following features are implemented:

- `Children`
- `Resource`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<ITestContainer>` `getChildContainers()`
`org.eclipse.emf.common.util.EList<ITestEntity>` `getChildren()` Returns the value of the 'Children' containment reference list.
`org.eclipse.emf.common.util.EList<ITestEntity>` `getChildrenGen()`
`java.util.List<ITestEntity>` `getCopyOfChildren()`
`long` `getEstimatedDuration()`
`java.lang.Object` `getResource()`
`TestStatus` `getStatus()`
`ITest` `getTest(java.lang.String name)`
`boolean` `hasError()`
`void` `reset()`
`void` `run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)`
`void` `setResource(java.lang.Object newResource)`
`void` `setTerminated(boolean newTerminated)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.lang.unittest.runtime.impl.TestEntity

`addError, basicSetParent, eBasicRemoveFromContainerFeature, getDescription, getDuration, getEndTimestamp, getEntityStatus, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getTestSuite, getWorstResult, isDisabled, isTerminated, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEntityStatusGen, setEstimatedDuration, setName, setParent, setStartTimestamp`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getTestSuite, getWorstResult, isDisabled, isTerminated, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getChildrenGen

    public org.eclipse.emf.common.util.EList<ITestEntity> getChildrenGen()

#### getResource

    public java.lang.Object getResource()

Specified by:
  `getResource` in interface `ITestContainer`
Specified by:
  `getResource` in interface `ITestEntity`
Overrides:
  `getResource` in class `TestEntity`
Returns:
  the value of the 'Resource' attribute.
See Also:
  `ITestContainer.setResource(Object)`, `IRuntimePackage.getTestContainer_Resource()`

#### setResource

    public void setResource(java.lang.Object newResource)

Specified by:
  `setResource` in interface `ITestContainer`
Parameters:
  `newResource` - the new value of the 'Resource' attribute.
See Also:
  `ITestContainer.getResource()`

#### getTest

    public ITest getTest(java.lang.String name)

Specified by:
  `getTest` in interface `ITestContainer`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `TestEntity`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `TestEntity`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `TestEntity`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `TestEntity`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `TestEntity`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `TestEntity`

#### eInvoke

    public java.lang.Object eInvoke(int operationID,
                                    org.eclipse.emf.common.util.EList<?> arguments)
                             throws java.lang.reflect.InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `TestEntity`
Throws:
  `java.lang.reflect.InvocationTargetException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `TestEntity`

#### run

    public void run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)

Description copied from class: `TestEntity`

Specified by:
  `run` in interface `ITestEntity`
Overrides:
  `run` in class `TestEntity`

#### getChildContainers

    public org.eclipse.emf.common.util.EList<ITestContainer> getChildContainers()

Specified by:
  `getChildContainers` in interface `ITestContainer`

#### getStatus

    public TestStatus getStatus()

Description copied from class: `TestEntity`

Specified by:
  `getStatus` in interface `ITestEntity`
Overrides:
  `getStatus` in class `TestEntity`

#### hasError

    public boolean hasError()

Description copied from class: `TestEntity`

Specified by:
  `hasError` in interface `ITestEntity`
Overrides:
  `hasError` in class `TestEntity`

#### reset

    public void reset()

Specified by:
  `reset` in interface `ITestEntity`
Overrides:
  `reset` in class `TestEntity`

#### getEstimatedDuration

    public long getEstimatedDuration()

Specified by:
  `getEstimatedDuration` in interface `ITestEntity`
Overrides:
  `getEstimatedDuration` in class `TestEntity`
Returns:
  the value of the 'Estimated Duration' attribute.
See Also:
  `ITestEntity.setEstimatedDuration(long)`, `IRuntimePackage.getTestEntity_EstimatedDuration()`

#### setTerminated

    public void setTerminated(boolean newTerminated)

Specified by:
  `setTerminated` in interface `ITestEntity`
Overrides:
  `setTerminated` in class `TestEntity`
Parameters:
  `newTerminated` - the new value of the 'Terminated' attribute.
See Also:
  `ITestEntity.isTerminated()`

#### getChildren

    public org.eclipse.emf.common.util.EList<ITestEntity> getChildren()

Description copied from interface: `ITestContainer`
Returns the value of the 'Children' containment reference list. The list contents are of type `ITestEntity`. It is bidirectional and its opposite is '`Parent`'.

If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

Specified by:
  `getChildren` in interface `ITestContainer`
Returns:
  the value of the 'Children' containment reference list.
See Also:
  `IRuntimePackage.getTestContainer_Children()`, `ITestEntity.getParent()`

#### getCopyOfChildren

    public java.util.List<ITestEntity> getCopyOfChildren()

Specified by:
  `getCopyOfChildren` in interface `ITestContainer`